/*

Name:
DRV_BE.C

Portability:
Only BeBox system

*/

#include "mikmod.h"
#include "ptform.h"

BOOL BE_IsThere(void)
{
	return 1;
}

void BE_Exit(void)
{
}

void BE_PlayStop(void)
{
}

void BE_Update(void)
{
}

MDRIVER drv_be={
	NULL,
	"\033[1;4;34mB\033[1;4;31me\033[0;30m Sound by Tinic Urou",
	"BeBox Sounddriver by Tinic Urou in 1996",
	BE_IsThere,
	VC_SampleLoad,
	VC_SampleUnload,
	VC_SampleSpace,
    VC_SampleLength,
	VC_Init,
	BE_Exit,
	VC_SetNumChannels,
	VC_PlayStart,
	BE_PlayStop,
	BE_Update,
	VC_VoiceSetVolume,
	VC_VoiceSetFrequency,
	VC_VoiceSetPanning,
	VC_VoicePlay,
    VC_VoiceStop,
    VC_VoiceStopped,
	VC_VoiceReleaseSustain,
	VC_VoiceGetPosition,
    VC_RealVolume
};